获取 /api/v1/projects/{id}/keys

列出项目的所有API密钥。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。

路径参数

  • id 字符串 必需

    项目 ID

查询参数

  • include_inactive 字符串

    包括非活动密钥

响应

  • 不支持或格式不正确的API版本、所选已发布合约中不可用的操作或不可接受的表示形式(包括不支持的媒体类型参数或排除的 SSE)。现有的身份验证、授权和速率限制失败优先。

    隐藏响应属性 显示响应属性 对象
    • badRequestDetail 对象

      标准错误模式定义的可选验证详细信息; API协商错误不会发出此字段。

      隐藏 BadRequestDetail 属性 显示 BadRequestDetail 属性 对象
      • 字段 大量[对象]

        验证失败的字段。

        隐藏字段属性 显示字段属性 对象

        字段及其验证失败。

        • 描述 字符串 必需

          人类可读的验证失败。

        • 字段 字符串 必需

          无效请求字段的名称或路径。

    • 详细信息 字符串 必需

      人类可读的错误详细信息。

    • 错误 整型 必需

      HTTP status code.

    • 错误代码 字符串 必需

      机器可读的错误代码。

    • 参数 array[string]

      与错误相关的请求参数名称;不应用时省略。

    • 原因 字符串 必需

      HTTP状态原因短语。

    隐藏响应属性 显示响应属性 对象
    • badRequestDetail 对象

      标准错误模式定义的可选验证详细信息; API协商错误不会发出此字段。

      隐藏 BadRequestDetail 属性 显示 BadRequestDetail 属性 对象
      • 字段 大量[对象]

        验证失败的字段。

        隐藏字段属性 显示字段属性 对象

        字段及其验证失败。

        • 描述 字符串 必需

          人类可读的验证失败。

        • 字段 字符串 必需

          无效请求字段的名称或路径。

    • 详细信息 字符串 必需

      人类可读的错误详细信息。

    • 错误 整型 必需

      HTTP status code.

    • 错误代码 字符串 必需

      机器可读的错误代码。

    • 参数 array[string]

      与错误相关的请求参数名称;不应用时省略。

    • 原因 字符串 必需

      HTTP状态原因短语。

  • 200

    正常

    隐藏响应属性 显示响应属性 对象
    • 数数 整型
    • 密钥 大量[对象]
      隐藏键属性 显示键属性 对象
      • created_at 字符串
      • created_by 字符串

        谁/什么创建了此令牌

      • 描述 字符串

        人类可读的描述

      • expires_at 字符串
      • id 字符串
      • is_active 布尔
      • last_used_at 字符串

        跟踪使用情况

      • org_id 字符串

        此令牌所属的组织

      • PROJECT_ID 字符串

        此令牌所属的项目

      • revoked_at 字符串
      • revoked_by 字符串
      • token_prefix 字符串

        用于识别的有界查找前缀(例如“agp_live_sk_”)

      • user_id 字符串

        拥有此令牌的用户

    • Success 布尔
    隐藏响应属性 显示响应属性 对象
    • 数数 整型
    • 密钥 大量[对象]
      隐藏键属性 显示键属性 对象
      • created_at 字符串
      • created_by 字符串

        谁/什么创建了此令牌

      • 描述 字符串

        人类可读的描述

      • expires_at 字符串
      • id 字符串
      • is_active 布尔
      • last_used_at 字符串

        跟踪使用情况

      • org_id 字符串

        此令牌所属的组织

      • PROJECT_ID 字符串

        此令牌所属的项目

      • revoked_at 字符串
      • revoked_by 字符串
      • token_prefix 字符串

        用于识别的有界查找前缀(例如“agp_live_sk_”)

      • user_id 字符串

        拥有此令牌的用户

    • Success 布尔
  • Unauthorized

    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
  • 内部服务器错误

    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
    隐藏响应属性 显示响应属性 对象
    • 代码 字符串
    • 错误 字符串
    • Success 布尔
GET /api/v1/projects/{id}/keys
curl \
 --request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/keys' \
 --header "Authorization: $API_KEY"
响应示例 (406)
{
  "detail": "This operation is not available in API version 2026-09-20-preview.",
  "error": 406,
  "errorCode": "OPERATION_NOT_IN_API_VERSION",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
{
  "detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
  "error": 406,
  "errorCode": "UNACCEPTABLE_MEDIA_TYPE",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
{
  "detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
  "error": 406,
  "errorCode": "UNSUPPORTED_API_VERSION",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
响应示例 (406)
{
  "detail": "This operation is not available in API version 2026-09-20-preview.",
  "error": 406,
  "errorCode": "OPERATION_NOT_IN_API_VERSION",
  "parameters": [
    "Accept"
  ],
  "reason": "Not Acceptable"
}
响应示例 (200)
{
  "count": 42,
  "keys": [
    {
      "created_at": "string",
      "created_by": "string",
      "description": "string",
      "expires_at": "string",
      "id": "string",
      "is_active": true,
      "last_used_at": "string",
      "org_id": "string",
      "project_id": "string",
      "revoked_at": "string",
      "revoked_by": "string",
      "token_prefix": "string",
      "user_id": "string"
    }
  ],
  "success": true
}
响应示例 (200)
{
  "count": 42,
  "keys": [
    {
      "created_at": "string",
      "created_by": "string",
      "description": "string",
      "expires_at": "string",
      "id": "string",
      "is_active": true,
      "last_used_at": "string",
      "org_id": "string",
      "project_id": "string",
      "revoked_at": "string",
      "revoked_by": "string",
      "token_prefix": "string",
      "user_id": "string"
    }
  ],
  "success": true
}
响应示例 (401)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (401)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (500)
{
  "code": "string",
  "error": "string",
  "success": true
}
响应示例 (500)
{
  "code": "string",
  "error": "string",
  "success": true
}